# Default values for minds-k8ssandra.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

# List of key/value pairs to set in cassandra.yaml.
# This will populate the ConfigMap used in .Values.k8ssandra.cassandra.cassandraYamlConfigMap
cassandraYaml:
  partitioner: org.apache.cassandra.dht.Murmur3Partitioner

# Backups
backups:
  enabled: false
  schedule: 0 0 * * *
  type: differential

# LB
loadBalancer:
  annotations:
    oci.oraclecloud.com/load-balancer-type: "lb"
    service.beta.kubernetes.io/oci-load-balancer-internal: "true"
    service.beta.kubernetes.io/oci-load-balancer-subnet1: "ocid1.subnet.oc1.iad.aaaaaaaao5yrgfwuwgqidb4eycvnyvgf5rtydlqdyopzuoteal7ts7pbhrya"

# Passthrough K8ssandra values.yaml
k8ssandra:
  cassandra:
    cassandraYamlConfigMap: minds-cassandra-yaml

    version: "4.0.3"
    clusterName: "cassandra"
    allowMultipleNodesPerWorker: false
    additionalSeeds: null
    heap:
      size: 2g
    gc:
      cms:
        enabled: true
    tolerations:
      - key: "node-type"
        value: "stateful-k8ssandra"
        operator: "Equal"
        effect: "NoSchedule"
    resources:
      requests:
        memory: "4Gi"
        cpu: "1"
      limits:
        memory: "6Gi"
    networking:
      hostNetwork: true
    datacenters:
      - name: k8ssandra-oke-usashburn1
        size: 1
        racks:
          - name: ashburnad1
            affinityLabels:
              "minds.com/node-type": "stateful-k8ssandra"
              "failure-domain.beta.kubernetes.io/zone": "US-ASHBURN-AD-1"
        # - name: ashburnad2
        #   affinityLabels:
        #     "minds.com/node-type": "stateful-k8ssandra"
        #     "failure-domain.beta.kubernetes.io/zone": "US-ASHBURN-AD-2"
        # - name: ashburnad3
        #   affinityLabels:
        #     "minds.com/node-type": "stateful-k8ssandra"
        #     "failure-domain.beta.kubernetes.io/zone": "US-ASHBURN-AD-3"
    ingress:
      enabled: false
    cassandraLibDirVolume:
      storageClass: oci-bv
      size: 10Gi

  # https://docs.k8ssandra.io/components/stargate
  stargate:
    enabled: false

  # https://docs.k8ssandra.io/components/medusa
  medusa:
    enabled: false
    storage: s3
    bucketName: "minds-k8ssandra-backups-sandbox"
    storage_properties:
      region: "us-east-1"

  # https://github.com/k8ssandra/reaper-operator
  reaper-operator:
    enabled: true

  # https://docs.k8ssandra.io/components/reaper
  reaper:
    enabled: true
    image:
      registry: registry.gitlab.com/minds/infrastructure
      repository: cassandra-reaper
      tag: latest

  # registry.gitlab.com/minds/infrastructure/cassandra-reaper

  # Monitoring stack
  # https://github.com/prometheus-community/helm-charts/tree/main/charts/kube-prometheus-stack
  kube-prometheus-stack:
    enabled: false

  monitoring:
    prometheus.provision_service_monitors: true
